Subject: Re: linux-next: build warning after merge of Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 29 Jul 2019 18:20:08 +1000

Hi all,

On Mon, 29 Jul 2019 09:07:10 +0200 Takashi Iwai <[email-masked]> wrote:
>
> On Mon, 29 Jul 2019 09:03:14 +0200,
> Johannes Berg wrote:
> > 
> > On Mon, 2019-07-29 at 08:58 +0200, Takashi Iwai wrote:  
> > > > This warning has been around for a long time.  It could possibly be
> > > > suppressed by checking for errors returned by onyx_read_register().  
> > > 
> > > Yes, or simply zero-ing the variable in onyx_read_register().  The
> > > current code ignores the read error and it's been OK over a decade :)  
> > 
> > Yeah, it's pretty weird that it never showed up before. I was wondering
> > for a minute why I was CC'ed on a sound merge issue :-)  
> 
> Maybe switched to a new gcc version?

Or the number of warnings in a powerpc allyesconfig build got low
enough for me to finally take notice :-)

-- 
Cheers,
Stephen Rothwell